Summary: Cooperative Bug Isolation repository configuration
Name: cbi-package-config
Version: 18
Release: 11
License: BSD
Group: System Environment/Base
URL: http://research.cs.wisc.edu/cbi/
Source0: cbi.channel
Source1: cbi.list
Source2: cbi.repo
Source3: cbi.sources
BuildRoot: %_tmppath/%name-%version-%release-root
Requires: fedora-release = %version

%description
The Cooperative Bug Isolation Project (CBI) distributes builds of
popular applications with special instrumentation to help find and
eliminate bugs.

This package contains the CBI package signing key as well as
configuration files for the various popular RPM package managers and
updaters.

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%_sysconfdir/pki/rpm-gpg
gpg --export --armor '%_gpg_name' >$RPM_BUILD_ROOT%_sysconfdir/pki/rpm-gpg/RPM-GPG-KEY-cbi
test -s $RPM_BUILD_ROOT%_sysconfdir/pki/rpm-gpg/RPM-GPG-KEY-cbi

mkdir -p $RPM_BUILD_ROOT%_sysconfdir/apt/gpg
ln -s ../../pki/rpm-gpg/RPM-GPG-KEY-cbi $RPM_BUILD_ROOT%_sysconfdir/apt/gpg/gpg-pubkey-613d2fc6-3f417e35

put() { mkdir -p $RPM_BUILD_ROOT%_sysconfdir/$2 && install -m 0644 $1 $RPM_BUILD_ROOT%_sysconfdir/$2; }
put %{S:0} smart/channels
put %{S:1} apt/sources.list.d
put %{S:2} yum.repos.d
put %{S:3} sysconfig/rhn/sources.d


%files
%defattr(0644,root,root,0755)
%dir %_sysconfdir/apt
%_sysconfdir/apt/gpg
%dir %_sysconfdir/apt/sources.list.d
%config(noreplace) %_sysconfdir/apt/sources.list.d/*
%_sysconfdir/pki/rpm-gpg/*
%dir %_sysconfdir/smart
%config(noreplace) %_sysconfdir/smart/channels/*
%dir %_sysconfdir/sysconfig/rhn
%dir %_sysconfdir/sysconfig/rhn/sources.d
%config(noreplace) %_sysconfdir/sysconfig/rhn/sources.d/*
%config(noreplace) %_sysconfdir/yum.repos.d/*

%changelog
* Thu Mar 24 2011 Ben Liblit <liblit@cs.wisc.edu> - 18-11
- Research project web pages are now hosted on research.cs.wisc.edu
  instead of www.cs.wisc.edu.
 
* Tue Nov 13 2007 Ben Liblit <liblit@cs.wisc.edu> - 18-10
- The chmod security fix served its purpose and can go away now.
- Per Fedora guidelines, don't overwrite local config changes.

* Tue Nov 13 2007 Ben Liblit <liblit@cs.wisc.edu> - 18-9
- Rebuild with better sanity checks for GPG key exports.

* Fri May 11 2007 Ben Liblit <liblit@cs.wisc.edu> - 18-8
- Drop "Core" from Fedora title.  Should apply only to Fedora 7 and
  later, but for simplity I'm just doing it for all versions.

* Fri Dec 15 2006 Ben Liblit <liblit@cs.wisc.edu> - 18-7
- Don't trust apt to substitute $(VERSION) properly.

* Fri Nov 10 2006 Ben Liblit <liblit@cs.wisc.edu> - 18-6
- Rebuild with fixed (non-empty) GPG public key.

* Fri Nov 10 2006 Ben Liblit <liblit@cs.wisc.edu> - 18-5
- Rebuild with proper Fedora Core 4 distribution version.

* Sun Oct 22 2006 Ben Liblit <liblit@cs.wisc.edu> - 18-4
- Don't make repository config files world-writable.
- Directory ownership tweaks.

* Mon Jun 26 2006 Ben Liblit <liblit@cs.wisc.edu> - 18-3
- Mark configuration files appropriately.

* Mon Jun 26 2006 Ben Liblit <liblit@cs.wisc.edu> - 18-2
- Require the corresponding Fedora release package to avoid
  installation errors.

* Mon Jun 26 2006 Ben Liblit <liblit@cs.wisc.edu> - 18-1
- Initial build.
